# FAQ #



**Q**: The sorting gui disappeared, where is it?  
**A**: This can have multiple causes.

- You closed a gui and the state of the now current gui can not be determined.  
  Close and reopen the object.
- The foreground gui may be bigger now (mods,scaling,etc).  
  Move the foreground gui around to see if the sorting gui is hidden behind it.
- Changes to screen resolution or scaling may have pushed the sorting gui outside the screen.  
  In the mod settings menu set the `show gui` setting to `never`. actively opening any inventory will then reset the sorting gui to the top left corner. after that you can reset `show gui` to the previous value.



**Q**: Your sorting order sucks, can we have some alternatives please?  
**A**: Since inventories (and books also count as inventories) have their integrated [sort_and_merge][] function, i am somewhat reluctant to build my own.  
 My sorting functions also try to create the same order as the crafting menu, item select menu and inventories.  
 If you think you have a better sorting order, try to convince me in the [discussions][discussion].



**Q**: Can you please also sort X?  
**A**: That is absolutely definitively a maybe.  
 While my mod should handle everything vanilla factorio has to offer, i can't promise that did not overlook anything.  
 But factorio gives modders a whole toolbox with goodies to play shenanigans with. So i am sure there are some mods out there with stuff i could sort.  
 If you find such a mod, [request][discussion] a sort button and i add it if i can.



**Q**: I got the message that your mod is malfunctioning. What does that mean?  
**A**: Instead of halting the game my mod tries to "gracefully" [ignore errors][pcall]. If this happens only once and you have no idea why, you can _probably_ ignore that. But i would be happy if you filed a [bug report][discussion] regardless.  
 If that message is a regular occurrence you should definitely write a [bug report][discussion], because you or a mod you use does something i have not accounted for.



**Q**: Fine, i'll write you a bug report. What do you need?  
**A**: First and foremost the error messages found at the bottom of your [factorio-current.log][user_data_directory].  
 And a description of the error, preferably with exact steps to reproduce, be as detailed as possible please.



[discussion]: https://mods.factorio.com/mod/sbSortedLogistics/discussion
[sort_and_merge]: https://lua-api.factorio.com/latest/classes/LuaInventory.html#sort_and_merge
[pcall]: https://www.lua.org/manual/5.2/manual.html#pdf-pcall
[user_data_directory]: https://wiki.factorio.com/User_data_directory